• Scam Alert. Members are reminded to NOT send money to buy anything. Don't buy things remote and have it shipped - go get it yourself, pay in person, and take your equipment with you. Scammers have burned people on this forum. Urgency, secrecy, excuses, selling for friend, newish members, FUD, are RED FLAGS. A video conference call is not adequate assurance. Face to face interactions are required. Please report suspicions to the forum admins. Stay Safe - anyone can get scammed.

DavidR8's shop shenanigans

I ran the lathe for 30 minutes over lunch. Bearing retainers started out at a cool 41 deg F. After 30 mins of running with the chuck on, the spindle bearing cap was 97 deg F and the outboard end was 85 deg F.
 
Last edited:
Have a look at my post, when I measured temps after adjusting the preload. But like I said, I'm no expert, and I don't know how the temperatures differ from the bearings to the housing.


Post in thread 'Clarkson Mk2 Tool and Cutter Grinder' https://canadianhobbymetalworkers.com/threads/clarkson-mk2-tool-and-cutter-grinder.8833/post-130846
Thanks, my temps are definitely lower.
After the 30 min run I took a .025 cut at 900 rpm (a bit fast for 1.25 diameter stock) The finish was very nice with no trace of chatter or harmonics.
 
Well the gear experiment was a bust.
@jcdammeyer can Alibre Pro design gears?
I did this gear back in March of 2022 so it's been a while since I played with making gears. It's a python script where you fill in parameters and it generates the gear. I also have the gearotic program written by the guy that designed MAC2/3
1700704709117.webp

The gears worked out quite well as 3D printed.
ToothEngagement.jpg

I don't recall why this Project #42 was put on hold.
 
I did this gear back in March of 2022 so it's been a while since I played with making gears. It's a python script where you fill in parameters and it generates the gear. I also have the gearotic program written by the guy that designed MAC2/3
View attachment 40733

The gears worked out quite well as 3D printed.
View attachment 40734

I don't recall why this Project #42 was put on hold.
I'm on the fence about upgrading to Design Pro but my desire to make patterns and now this has me strongly considering the upgrade.
 
I found it on Thingiverse.

My free version of 360 has a gear generator in it. Seems to work quite well. It was something you had to add in to the tool kit. I don't remember the details of doing that, it's been well over a year since I did that.

1700705946981.png

This was for my shaper. The 3D printed version worked quit well but I gave up on the project after realizing the internal thread was a square thread. The plan was to get @Tom O to make it out of brass in on his CNC mill.
 
Last edited:
My free version of 360 has a gear generator in it. Seems to work quite well. It was something you had to add in to the tool kit. I don't remember the details of doing that, it's been well over a year since I did that.

View attachment 40735

This was for my shaper. The 3D printed version worked quit well but I gave up on the project after realizing the internal thread was a square thread. The plan was to get @Tom O to make it out of brass in on his CNC mill.
Isn't that always the problem. Spend hours figuring it out. Use it for that project. Then a year later barely even remember doing it.
 
Here's the python code for creating the gear. I'm sure if you go into the Alibre Help forum there will be information for more or different kinds of gears.

Python:
# Gear Generator Script
# Used as a demonstration of how to create a custom utility
# for use with Alibre Design

Units.Current = UnitTypes.Millimeters

# default settings
NumberofTeeth = 20
PitchDiameter = 30
PressureAngle = 20
Thickness = 3

Win = Windows()

ScriptName = 'Gear Generator'

# create dialog window and show to user
Options = []
Options.append([None, WindowsInputTypes.Image, 'GearGenerator.png', 170])
Options.append(['Number of Teeth', WindowsInputTypes.Integer, NumberofTeeth])
Options.append(['Pitch Diameter (mm)', WindowsInputTypes.Real, PitchDiameter])
Options.append(['Pressure Angle', WindowsInputTypes.Real, PressureAngle])
Options.append(['Thickness (mm)', WindowsInputTypes.Real, Thickness])
Values = Win.OptionsDialog(ScriptName, Options, 170)
if Values == None:
  sys.exit()

print "Working..."

# get user inputs
NumberofTeeth = Values[1]
PitchDiameter = Values[2]
PressureAngle = Values[3]
Thickness = Values[4]

# get current part
MyPart = CurrentPart()

# get the plane to create the gear on
GearPlane = MyPart.XYPlane

# create the sketch then extrude it
ProfileSketch = MyPart.AddGearNP("Profile", NumberofTeeth, PitchDiameter, PressureAngle, 0, 0, False, GearPlane)
Gear = MyPart.AddExtrudeBoss("Gear", ProfileSketch, Thickness, False)

print "Done"
 
Back
Top